### Method

# Gtk IconView selected_foreach

#### Declaration [src]

    void
    gtk_icon_view_selected_foreach (
      GtkIconView* icon_view,
      GtkIconViewForeachFunc func,
      gpointer data
    )

#### Description [src]

Calls a function for each selected icon. Note that the model or selection cannot be modified from within this function.

#### Parameters

`func` | `GtkIconViewForeachFunc`
| The function to call for each selected icon.
`data` | `gpointer`
| User data to pass to the function.